<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Nodejs-demo-NestJs-and-BDD documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	   <link rel="stylesheet" href="./styles/style.css">
        <link rel="stylesheet" href="./styles/dark.css">
        <link rel="stylesheet" href="./styles/postmark.css">
    </head>
    <body>
          <script>
               // Blocking script to avaoid flickering dark mode
               // Dark mode toggle button
               var useDark = window.matchMedia('(prefers-color-scheme: dark)');
               var darkModeState = useDark.matches;
               var $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               var $darkModeToggles = document.querySelectorAll('.dark-mode-switch');
               var darkModeStateLocal = localStorage.getItem('compodoc_darkmode-state');

               function checkToggle(check) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].checked = check;
                    }
               }

               function toggleDarkMode(state) {
                    if (window.localStorage) {
                         localStorage.setItem('compodoc_darkmode-state', state);
                    }

                    checkToggle(state);

                    const hasClass = document.body.classList.contains('dark');

                    if (state) {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.add('dark');
                         }
                         if (!hasClass) {
                              document.body.classList.add('dark');
                         }
                    } else {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.remove('dark');
                         }
                         if (hasClass) {
                              document.body.classList.remove('dark');
                         }
                    }
               }

               useDark.addEventListener('change', function (evt) {
                    toggleDarkMode(evt.matches);
               });
               if (darkModeStateLocal) {
                    darkModeState = darkModeStateLocal === 'true';
               }
               toggleDarkMode(darkModeState);

               if ($darkModeToggles.length > 0) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].addEventListener('change', function (event) {
                              darkModeState = !darkModeState;
                              toggleDarkMode(darkModeState);
                         });
                    }
               }
          </script>

        <div class="navbar navbar-default navbar-fixed-top d-block d-sm-none">
            <a href="./" class="navbar-brand">Nodejs-demo-NestJs-and-BDD documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li class="breadcrumb-item">Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.47.0 (20210316.0004)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="522pt" height="287pt"
 viewBox="0.00 0.00 522.00 287.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 283)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-283 518,-283 518,4 -4,4"/>
<text text-anchor="start" x="236.01" y="-42.4" font-family="Times-12" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="23,-10 23,-30 43,-30 43,-10 23,-10"/>
<text text-anchor="start" x="46.63" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="136,-10 136,-30 156,-30 156,-10 136,-10"/>
<text text-anchor="start" x="159.73" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="222,-10 222,-30 242,-30 242,-10 222,-10"/>
<text text-anchor="start" x="245.78" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="319,-10 319,-30 339,-30 339,-10 319,-10"/>
<text text-anchor="start" x="342.67" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="415,-10 415,-30 435,-30 435,-10 415,-10"/>
<text text-anchor="start" x="438.73" y="-15.4" font-family="Times-12" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-146 8,-271 320,-271 320,-146 8,-146"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="154,-154 154,-206 312,-206 312,-154 154,-154"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_AppModule_providers</title>
<polygon fill="none" stroke="black" points="16,-154 16,-206 146,-206 146,-154 16,-154"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_FakeThirdAppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="124,-70 124,-138 342,-138 342,-70 124,-70"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_FakeThirdAppModule_providers</title>
<polygon fill="none" stroke="black" points="132,-78 132,-130 334,-130 334,-78 132,-78"/>
</g>
<g id="clust13" class="cluster">
<title>cluster_UsersModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="350,-70 350,-206 506,-206 506,-70 350,-70"/>
</g>
<g id="clust18" class="cluster">
<title>cluster_UsersModule_providers</title>
<polygon fill="none" stroke="black" points="358,-78 358,-130 498,-130 498,-78 358,-78"/>
</g>
<!-- FakeThirdAppModule -->
<g id="node1" class="node">
<title>FakeThirdAppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="303.97,-198 300.97,-202 279.97,-202 276.97,-198 162.03,-198 162.03,-162 303.97,-162 303.97,-198"/>
<text text-anchor="middle" x="233" y="-175.8" font-family="Times,serif" font-size="14.00">FakeThirdAppModule</text>
</g>
<!-- AppModule -->
<g id="node2" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="198.66,-263 195.66,-267 174.66,-267 171.66,-263 115.34,-263 115.34,-227 198.66,-227 198.66,-263"/>
<text text-anchor="middle" x="157" y="-240.8" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- FakeThirdAppModule&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>FakeThirdAppModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M180.42,-198.11C180.42,-198.11 180.42,-216.99 180.42,-216.99"/>
<polygon fill="black" stroke="black" points="176.92,-216.99 180.42,-226.99 183.92,-216.99 176.92,-216.99"/>
</g>
<!-- AppService -->
<g id="node3" class="node">
<title>AppService</title>
<ellipse fill="#fdb462" stroke="black" cx="81" cy="-180" rx="56.74" ry="18"/>
<text text-anchor="middle" x="81" y="-175.8" font-family="Times,serif" font-size="14.00">AppService</text>
</g>
<!-- AppService&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>AppService&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M126.4,-191.03C126.4,-191.03 126.4,-216.78 126.4,-216.78"/>
<polygon fill="black" stroke="black" points="122.9,-216.78 126.4,-226.78 129.9,-216.78 122.9,-216.78"/>
</g>
<!-- FakeBackApiService -->
<g id="node4" class="node">
<title>FakeBackApiService</title>
<ellipse fill="#fdb462" stroke="black" cx="233" cy="-104" rx="93.18" ry="18"/>
<text text-anchor="middle" x="233" y="-99.8" font-family="Times,serif" font-size="14.00">FakeBackApiService</text>
</g>
<!-- FakeBackApiService&#45;&gt;FakeThirdAppModule -->
<g id="edge3" class="edge">
<title>FakeBackApiService&#45;&gt;FakeThirdAppModule</title>
<path fill="none" stroke="black" d="M233,-122.01C233,-122.01 233,-151.85 233,-151.85"/>
<polygon fill="black" stroke="black" points="229.5,-151.85 233,-161.85 236.5,-151.85 229.5,-151.85"/>
</g>
<!-- UsersService -->
<g id="node5" class="node">
<title>UsersService</title>
<ellipse fill="#fdb462" stroke="black" cx="428" cy="-104" rx="61.95" ry="18"/>
<text text-anchor="middle" x="428" y="-99.8" font-family="Times,serif" font-size="14.00">UsersService</text>
</g>
<!-- UsersModule -->
<g id="node6" class="node">
<title>UsersModule</title>
<polygon fill="#8dd3c7" stroke="black" points="473.92,-198 470.92,-202 449.92,-202 446.92,-198 382.08,-198 382.08,-162 473.92,-162 473.92,-198"/>
<text text-anchor="middle" x="428" y="-175.8" font-family="Times,serif" font-size="14.00">UsersModule</text>
</g>
<!-- UsersService&#45;&gt;UsersModule -->
<g id="edge4" class="edge">
<title>UsersService&#45;&gt;UsersModule</title>
<path fill="none" stroke="black" d="M428,-122.01C428,-122.01 428,-151.85 428,-151.85"/>
<polygon fill="black" stroke="black" points="424.5,-151.85 428,-161.85 431.5,-151.85 424.5,-151.85"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group size-buttons">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="tab-content overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">3 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-swap"></span></h4>
                    <p class="card-text">4 Controllers</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">4 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-paper"></span></h4>
                    <p class="card-text">8 Classes</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-information-circle-outline"></span></h4>
                    <p class="card-text">1 Interface</p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 


















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>

       <script src="./js/menu-wc.js" defer></script>
       <script nomodule src="./js/menu-wc_es5.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
